[Overview][Classes][Procedures and functions][Index] | Reference for unit 'Spin' (#lcl)

# TCustomSpinEdit.Create

Constructor for the class instance.

## Declaration

Source position: spin.pp line 158

`public constructor TCustomSpinEdit.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance, and calls the inherited constructor on entry. Create ensures that DecimalPlaces is set to 0 (zero) for the Integer type used in the Value property.

## See also

TCustomFloatSpinEdit.DecimalPlaces |  | Number of the decimal places displayed in the spin edit control.
TCustomSpinEdit.Value |  | The value for the spin edit control.
TCustomSpinEdit.MinValue |  | Minimum value allowed for the spin edit control.
TCustomSpinEdit.MaxValue |  | Maximum value allowed for the spin edit control.
TCustomSpinEdit.Increment |  | The value by which the value of the control should be increased/decreased when the user clicks one of the arrows or one of the keyboard up/down arrows.